Entry_deprecated(3)

NAME
Entry_deprecated - The Entry class is the base class for database entries. It can be seen as a row in a table within the database.

SYNOPSIS

#include <entry_deprecated.h>

Inherited by Aircraft, Flight, and Pilot.

  Public Member Functions
Entry_deprecated (QString table, int row)
Entry_deprecated (QString table, QHash< QString, QString > newData)
void setData (QHash< QString, QString > &value)
bool commit ()
bool remove ()
bool exists ()
void print ()
QString debug ()
operator QString ()

  Public Attributes
QPair< QString, int > position = QPair<QString, int>()
QVector< QString > columns = QVector<QString>()
QHash< QString, QString > data = QHash<QString, QString>()
QString error = QString()

Detailed Description

The Entry class is the base class for database entries. It can be seen as a row in a table within the database.

Author

Generated automatically by Doxygen for openPilotLog from the source code.